## org.ascape.model.event
Class ScapeEvent

    java.lang.Object
      java.util.EventObject
          org.ascape.model.event.ScapeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ScapeEvent

extends java.util.EventObject

An event describing some change in scape state. todo change to enumeration

Since:
  1.0
Version:
  2.9.1
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary
`static int` `REPORT_ADDED` The scape requests the listener to take notice that it has been added to the scape.
`static int` `REPORT_DESERIALIZED` The scape has been deserialized.
`static int` `REPORT_INITIALIZED` The scape has been initialized.
`static int` `REPORT_ITERATE` The scape has been updated (iterated.)
`static int` `REPORT_REMOVED` The scape requests the listener to take notice that it has been removed from the scape.
`static int` `REPORT_START` The scape has been initialized, had stats collected, and started.
`static int` `REPORT_STOP` The scape has stopped.
`static int` `REQUEST_CHANGE_ITERATIONS_PER_REDRAW` The scape requests the views to change their iterationsPerRedraw.
`static int` `REQUEST_CLOSE` The scape is closing, and requests scape specific views to finish their business and destroy themselves.
`static int` `REQUEST_QUIT` The entire environment is quitting, and requests all views to finish their business and destroy itself.
`static int` `REQUEST_SETUP` The scape is in a pre-initialization state, and can be modified freely.
`static int` `TICK` A 'tick' event gerated while a scape is paused.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ScapeEvent(java.lang.Object source, int id)` Constructs a control event, used to control a scape.

Method Summary
`int` `getID()` Gets the id decribing the control event.
`java.lang.String` `paramString()` Returns a paramter string describing this event.
`java.lang.String` `toString()` Reutrns a descriptive string for this event in the form <Event> for <Scape>.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REQUEST_SETUP

    public static final int REQUEST_SETUP

  The scape is in a pre-initialization state, and can be modified freely. Warning; the internal state of the scape is not consistent at this point; this event should only be used by objects which set scape state, not by objects that attempt to use it.

  See Also:
    Constant Field Values

### REQUEST_CLOSE

    public static final int REQUEST_CLOSE

  The scape is closing, and requests scape specific views to finish their business and destroy themselves.

  See Also:
    Constant Field Values

### REQUEST_QUIT

    public static final int REQUEST_QUIT

  The entire environment is quitting, and requests all views to finish their business and destroy itself.

  See Also:
    Constant Field Values

### REPORT_INITIALIZED

    public static final int REPORT_INITIALIZED

  The scape has been initialized.

  See Also:
    Constant Field Values

### REPORT_ADDED

    public static final int REPORT_ADDED

  The scape requests the listener to take notice that it has been added to the scape.

  See Also:
    Constant Field Values

### REPORT_REMOVED

    public static final int REPORT_REMOVED

  The scape requests the listener to take notice that it has been removed from the scape.

  See Also:
    Constant Field Values

### REQUEST_CHANGE_ITERATIONS_PER_REDRAW

    public static final int REQUEST_CHANGE_ITERATIONS_PER_REDRAW

  The scape requests the views to change their iterationsPerRedraw.

  See Also:
    Constant Field Values

### REPORT_START

    public static final int REPORT_START

  The scape has been initialized, had stats collected, and started.

  See Also:
    Constant Field Values

### REPORT_STOP

    public static final int REPORT_STOP

  The scape has stopped.

  See Also:
    Constant Field Values

### REPORT_ITERATE

    public static final int REPORT_ITERATE

  The scape has been updated (iterated.)

  See Also:
    Constant Field Values

### TICK

    public static final int TICK

  A 'tick' event gerated while a scape is paused.

  See Also:
    Constant Field Values

### REPORT_DESERIALIZED

    public static final int REPORT_DESERIALIZED

  The scape has been deserialized.

  See Also:
    Constant Field Values

Constructor Detail

### ScapeEvent

    public ScapeEvent(java.lang.Object source,
                      int id)

  Constructs a control event, used to control a scape.

  Parameters:
    `source` - the object firing this alert event.
    `id` - the id

Method Detail

### getID

    public int getID()

  Gets the id decribing the control event.

  Returns:
    the ID

### paramString

    public java.lang.String paramString()

  Returns a paramter string describing this event.

  Returns:
    the string

### toString

    public java.lang.String toString()

  Reutrns a descriptive string for this event in the form <Event> for <Scape>.

  Overrides:
    `toString` in class `java.util.EventObject`
  Returns:
    the string